Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class ChannelMapping

java.lang.Object
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.ChannelMapping

public class ChannelMapping extends Object
Маппинг канала на сервера.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChannelMapping()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChannelCode()`
  `int`
  `getChannelId()`
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getId()`
  `int`
  `getServerCode()`
  `String`
  `getServerTitle()`
  `void`
  `setChannelCode(String channelCode)`
  `void`
  `setChannelId(int channelId)`
  `void`
  `setComment(String comment)`
  `void`
  `setDateFrom(Date date1)`
  `void`
  `setDateTo(Date date2)`
  `void`
  `setId(int id)`
  `void`
  `setServerCode(int serverCode)`
  `void`
  `setServerTitle(String serverTitle)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChannelMapping

    public ChannelMapping()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getChannelCode

    public String getChannelCode()

  - ### setChannelCode

    public void setChannelCode(String channelCode)

  - ### getChannelId

    public int getChannelId()

  - ### setChannelId

    public void setChannelId(int channelId)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date date1)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date date2)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getServerCode

    public int getServerCode()

  - ### setServerCode

    public void setServerCode(int serverCode)

  - ### getServerTitle

    public String getServerTitle()

  - ### setServerTitle

    public void setServerTitle(String serverTitle)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`